Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.admin.event
Class ProcessRequestEvent

    java.lang.Object
      org.blojsom.event.Event
          org.blojsom.plugin.admin.event.ProcessRequestEvent

public class ProcessRequestEvent
extends Event

ProcessRequestEvent

Since:
  blojsom 3.0
Version:
  $Id: ProcessRequestEvent.java,v 1.1 2006/03/20 21:30:49 czarneckid Exp $
Author:
  David Czarnecki

Field Summary
`protected Blog` | `_blog`
`protected java.util.Map` | `_context`
`protected javax.servlet.http.HttpServletRequest` | `_httpServletRequest`
`protected javax.servlet.http.HttpServletResponse` | `_httpServletResponse`

Fields inherited from class org.blojsom.event.Event
`_eventHandled, _source, _timestamp`

Constructor Summary
`ProcessRequestEvent(java.lang.Object source, java.util.Date timestamp, Blog blog, javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, java.util.Map context)` Create a new instance of the process event request

Method Summary
`Blog` | `getBlog()` Retrieve the `Blog` associated with the event
`java.util.Map` | `getContext()` Retrieve the plugin execution context
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()` Retrieve the servlet request
`javax.servlet.http.HttpServletResponse` | `getHttpServletResponse()` Retrieve the servlet response

Methods inherited from class org.blojsom.event.Event
`getSource, getTimestamp, isEventHandled, setEventHandled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _httpServletRequest

    protected javax.servlet.http.HttpServletRequest _httpServletRequest

### _httpServletResponse

    protected javax.servlet.http.HttpServletResponse _httpServletResponse

### _context

    protected java.util.Map _context

### _blog

    protected Blog _blog

Constructor Detail

### ProcessRequestEvent

    public ProcessRequestEvent(java.lang.Object source,
                               java.util.Date timestamp,
                               Blog blog,
                               javax.servlet.http.HttpServletRequest httpServletRequest,
                               javax.servlet.http.HttpServletResponse httpServletResponse,
                               java.util.Map context)

  Create a new instance of the process event request

Parameters:
  `source` - Event source
  `timestamp` - Timestamp of event
  `blog` - `Blog` information
  `httpServletRequest` - Servlet request
  `httpServletResponse` - Servlet response
  `context` - Context

Method Detail

### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest()

  Retrieve the servlet request

  Returns:
    `HttpServletRequest`

### getHttpServletResponse

    public javax.servlet.http.HttpServletResponse getHttpServletResponse()

  Retrieve the servlet response

  Returns:
    `HttpServletResponse`

### getContext

    public java.util.Map getContext()

  Retrieve the plugin execution context

  Returns:
    Context map

### getBlog

    public Blog getBlog()

  Retrieve the `Blog` associated with the event

  Returns:
    `Blog`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD